---
title: ImageCapture() constructor
slug: Web/API/ImageCapture/ImageCapture
tags:
  - API
  - Constructor
  - Experimental
  - Image
  - Image Capture
  - ImageCapture
  - Media
  - MediaStream Image Capture API
  - Reference
---
<div>{{APIRef("MediaStream Image")}}</div>

<p><span class="seoSummary">The <strong><code>ImageCapture()</code></strong> constructor creates a new {{domxref("ImageCapture")}} object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>imageCapture</em> = new ImageCapture(<em>videoTrack</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>videoTrack</code></dt>
 <dd>A {{domxref("MediaStreamTrack")}} from which the still images will be taken. This can be any source, such as an incoming stream of a video conference, a playing movie, or the stream from a webcam.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new <code>ImageCapture</code> object which can be used to capture still frames from the specified video track.</p>

<h2 id="Example">Example</h2>

<p>The following example shows how to use a call to {{domxref("MediaDevices.getUserMedia()")}} to retrieve the {{domxref("MediaStreamTrack")}} needed by the <code>ImageCapture()</code> constructor.</p>

<pre class="brush: js"> navigator.mediaDevices.getUserMedia({video: true})
  .then(mediaStream =&gt; {
    document.querySelector('video').srcObject = mediaStream
    const track = mediaStream.getVideoTracks()[0];
    imageCapture = new ImageCapture(track);
  })
  .catch(error =&gt; console.log(error));</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Image','#dom-imagecapture-imagecapture','ImageCapture')}}</td>
   <td>{{Spec2('MediaStream Image')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ImageCapture.ImageCapture")}}</p>
</div>
